#########################################################################
# Copyright 2000 Compaq Computer Corporation
# COMPAQ Registered in U.S. Patent and Trademark Office.
# Confidential computer software.
# Valid license from Compaq required for possessing, use or copying.
# Consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial
# Items are licensed to the U.S. Government under vendor's standard
# commercial license.
#########################################################################


#!/bin/sh
# Removes the SWCCAgent failover from VCS

echo "This will remove the Compaq SWCCAgent failover for Veritas Cluster Server."
echo ""
echo "** This script does not verify the resource name. **"
echo ""
echo "** Please ensure that the Cluster is in Read-Only Mode. **"
echo ""
echo "Please enter the name of the resource previously created (eg. SWCC_hostname): \c"
read RES

echo ""
echo "Removing "$RES".  Is this correct? [y,N]: \c"
read YORN

if [ "$YORN" = "y" -o "$YORN" = "Y" ]
 then

  /opt/VRTSvcs/bin/haconf -makerw
  echo "Removing "$RES" from configuration..."
  /opt/VRTSvcs/bin/hares -delete $RES
  echo "Removing SWCC type from configuration..."
  /opt/VRTSvcs/bin/hatype -delete SWCC
  echo "Removing /opt/VRTSvcs/bin/SWCC directory..."
  rm -R /opt/VRTSvcs/bin/SWCC
  /opt/VRTSvcs/bin/haconf -dump -makero

 echo ""
 echo "Removed "$RES" resource and deleted SWCC type from configuration files."
fi
echo "Exiting..."
